'use strict';

var _regeneratorRuntime = require('babel-runtime/regenerator')['default'];

var _interopRequireWildcard = require('babel-runtime/helpers/interop-require-wildcard')['default'];

Object.defineProperty(exports, '__esModule', {
  value: true
});
exports.getFile = getFile;
var marked0$0 = [getFile].map(_regeneratorRuntime.mark);

var _local = require('./local');

var local = _interopRequireWildcard(_local);

var _torrent = require('./torrent');

var torrent = _interopRequireWildcard(_torrent);

function getFile(filepath) {
  return _regeneratorRuntime.wrap(function getFile$(context$1$0) {
    while (1) switch (context$1$0.prev = context$1$0.next) {
      case 0:
        context$1$0.next = 2;
        return getTorrentFile(filepath) || getLocalFile(filepath);

      case 2:
        return context$1$0.abrupt('return', context$1$0.sent);

      case 3:
      case 'end':
        return context$1$0.stop();
    }
  }, marked0$0[0], this);
}

function getTorrentFile(filepath) {
  if (/(^magnet:|\.torrent)/.test(filepath)) {
    return torrent.getFile(filepath);
  }
}

function getLocalFile(filepath) {
  return local.getFile(filepath);
}
