'use strict';

var _get = require('babel-runtime/helpers/get')['default'];

var _inherits = require('babel-runtime/helpers/inherits')['default'];

var _createClass = require('babel-runtime/helpers/create-class')['default'];

var _classCallCheck = require('babel-runtime/helpers/class-call-check')['default'];

var _interopRequireDefault = require('babel-runtime/helpers/interop-require-default')['default'];

Object.defineProperty(exports, '__esModule', {
  value: true
});

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _file = require('../file');

var LocalFile = (function (_File) {
  _inherits(LocalFile, _File);

  function LocalFile(filepath, size) {
    _classCallCheck(this, LocalFile);

    _get(Object.getPrototypeOf(LocalFile.prototype), 'constructor', this).call(this);
    this._filepath = filepath;
    this._size = size;
  }

  _createClass(LocalFile, [{
    key: 'getSize',
    value: function getSize() {
      return this._size;
    }
  }, {
    key: 'getFileName',
    value: function getFileName() {
      return _path2['default'].basename(this._filepath);
    }
  }, {
    key: 'createReadStream',
    value: function createReadStream(range) {
      return _fs2['default'].createReadStream(this._filepath, range);
    }
  }]);

  return LocalFile;
})(_file.File);

exports.LocalFile = LocalFile;
