'use strict';

var _createClass = require('babel-runtime/helpers/create-class')['default'];

var _classCallCheck = require('babel-runtime/helpers/class-call-check')['default'];

var _regeneratorRuntime = require('babel-runtime/regenerator')['default'];

Object.defineProperty(exports, '__esModule', {
  value: true
});

var _streamer = require('./streamer');

var _transcoder = require('./transcoder');

var Player = (function () {
  function Player(filepath) {
    _classCallCheck(this, Player);

    this._started = false;
    this._streamer = null;
    this._transcoder = null;
    this._filepath = filepath;
  }

  _createClass(Player, [{
    key: 'start',
    value: _regeneratorRuntime.mark(function start() {
      return _regeneratorRuntime.wrap(function start$(context$2$0) {
        while (1) switch (context$2$0.prev = context$2$0.next) {
          case 0:
            if (!this._started) {
              context$2$0.next = 3;
              break;
            }

            console.warn('Player is already strated');
            return context$2$0.abrupt('return');

          case 3:
            this._streamer = (0, _streamer.getStreamer)(this._filepath);
            context$2$0.next = 6;
            return this._streamer.start();

          case 6:
            this._transcoder = new _transcoder.Transcoder(this._streamer.getUrl());
            context$2$0.next = 9;
            return this._transcoder.start();

          case 9:
          case 'end':
            return context$2$0.stop();
        }
      }, start, this);
    })
  }, {
    key: 'stop',
    value: _regeneratorRuntime.mark(function stop() {
      return _regeneratorRuntime.wrap(function stop$(context$2$0) {
        while (1) switch (context$2$0.prev = context$2$0.next) {
          case 0:
            if (!this._strated) {
              context$2$0.next = 5;
              break;
            }

            context$2$0.next = 3;
            return this._transcoder.destroy();

          case 3:
            context$2$0.next = 5;
            return this._streamer.destroy();

          case 5:
          case 'end':
            return context$2$0.stop();
        }
      }, stop, this);
    })
  }, {
    key: 'getOriginUrl',
    value: function getOriginUrl() {
      return this._streamer.getUrl();
    }
  }, {
    key: 'getTranscodedUrl',
    value: function getTranscodedUrl() {
      return this._transcoder.getUrl();
    }
  }]);

  return Player;
})();

exports.Player = Player;
