'use strict';

var _get = require('babel-runtime/helpers/get')['default'];

var _inherits = require('babel-runtime/helpers/inherits')['default'];

var _createClass = require('babel-runtime/helpers/create-class')['default'];

var _classCallCheck = require('babel-runtime/helpers/class-call-check')['default'];

Object.defineProperty(exports, '__esModule', {
  value: true
});

var _file = require('../file');

var TorrentFile = (function (_File) {
  _inherits(TorrentFile, _File);

  function TorrentFile(file) {
    _classCallCheck(this, TorrentFile);

    _get(Object.getPrototypeOf(TorrentFile.prototype), 'constructor', this).call(this);
    this._file = file;
  }

  _createClass(TorrentFile, [{
    key: 'getSize',
    value: function getSize() {
      return this._file.length;
    }
  }, {
    key: 'getFileName',
    value: function getFileName() {
      return this._file.name;
    }
  }, {
    key: 'createReadStream',
    value: function createReadStream(range) {
      return this._file.createReadStream(range);
    }
  }]);

  return TorrentFile;
})(_file.File);

exports.TorrentFile = TorrentFile;
